Integration Service Environments - Update
Updates an integration service environment.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroup}/providers/Microsoft.Logic/integrationServiceEnvironments/{integrationServiceEnvironmentName}?api-version=2019-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
integration
|
path | True |
string |
The integration service environment name. |
|
resource
|
path | True |
string |
The resource group. |
|
subscription
|
path | True |
string |
The subscription id. |
|
api-version
|
query | True |
string |
The API version. |
Request Body
| Name | Type | Description |
|---|---|---|
| identity |
Managed service identity properties. |
|
| location |
string |
The resource location. |
| properties |
The integration service environment properties. |
|
| sku |
The sku. |
|
| tags |
object |
The resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Logic error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Patch an integration service environment
Sample request
PATCH https://management.azure.com/subscriptions/f34b22a3-2202-4fb1-b040-1332bd928c84/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationServiceEnvironments/testIntegrationServiceEnvironment?api-version=2019-05-01
{
"sku": {
"capacity": 0,
"name": "Developer"
},
"tags": {
"tag1": "value1"
}
}
Sample response
azure-AsyncOperation: https://management.azure.com/subscriptions/f34b22a3-2202-4fb1-b040-1332bd928c84/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationServiceEnvironments/testIntegrationServiceEnvironment/operationStatuses/eyJmbG93T3BlcmF0aW9uIjoiUHV0SW50ZWdyYXRpb25TZXJ2aWNlRW52aXJvbm1lbnQiLCJvcGVyYXRpb25TZXF1ZW5jZUlkIjoiMDg1ODYzNjkwMzg1NzEwMTExNzUifQ==?api-version=2019-05-01
{
"sku": {
"name": "Developer",
"capacity": 0
},
"properties": {
"provisioningState": "InProgress",
"state": "Enabled",
"integrationServiceEnvironmentId": "13b261d30b984753869902d7f47f4d55",
"endpointsConfiguration": {
"workflow": {
"outgoingIpAddresses": [
{
"address": "40.69.195.162"
},
{
"address": "10.43.1.0/24"
}
],
"accessEndpointIpAddresses": [
{
"address": "10.43.1.6"
}
]
},
"connector": {
"outgoingIpAddresses": [
{
"address": "40.127.188.117"
},
{
"address": "40.85.114.29"
},
{
"address": "10.43.2.0/24"
},
{
"address": "10.43.3.0/24"
}
]
}
},
"networkConfiguration": {
"accessEndpoint": {
"type": "Internal"
},
"subnets": [
{
"name": "VNET-ILB-NorthEurope/s1",
"id": "/subscriptions/f34b22a3-2202-4fb1-b040-1332bd928c84/resourceGroups/testResourceGroup/providers/Microsoft.Network/virtualNetworks/VNET-ILB-NorthEurope/subnets/s1",
"type": "Microsoft.Network/virtualNetworks/subnets"
},
{
"name": "VNET-ILB-NorthEurope/s2",
"id": "/subscriptions/f34b22a3-2202-4fb1-b040-1332bd928c84/resourceGroups/testResourceGroup/providers/Microsoft.Network/virtualNetworks/VNET-ILB-NorthEurope/subnets/s2",
"type": "Microsoft.Network/virtualNetworks/subnets"
},
{
"name": "VNET-ILB-NorthEurope/s3",
"id": "/subscriptions/f34b22a3-2202-4fb1-b040-1332bd928c84/resourceGroups/testResourceGroup/providers/Microsoft.Network/virtualNetworks/VNET-ILB-NorthEurope/subnets/s3",
"type": "Microsoft.Network/virtualNetworks/subnets"
},
{
"name": "VNET-ILB-NorthEurope/s4",
"id": "/subscriptions/f34b22a3-2202-4fb1-b040-1332bd928c84/resourceGroups/testResourceGroup/providers/Microsoft.Network/virtualNetworks/VNET-ILB-NorthEurope/subnets/s4",
"type": "Microsoft.Network/virtualNetworks/subnets"
}
]
},
"encryptionConfiguration": {
"encryptionKeyReference": {
"keyVault": {
"id": "/subscriptions/f34b22a3-2202-4fb1-b040-1332bd928c84/resourceGroups/testResourceGroup/providers/Microsoft.KeyVault/vaults/testKeyVault"
},
"keyName": "testKeyName",
"keyVersion": "13b261d30b984753869902d7f47f4d55"
}
}
},
"id": "/subscriptions/f34b22a3-2202-4fb1-b040-1332bd928c84/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationServiceEnvironments/testIntegrationServiceEnvironment",
"name": "testIntegrationServiceEnvironment",
"type": "Microsoft.Logic/integrationServiceEnvironments",
"location": "northeurope"
}
Definitions
| Name | Description |
|---|---|
|
Error |
Error properties indicate why the Logic service was not able to process the incoming request. The reason is provided in the error message. |
|
Error |
Error response indicates Logic service is not able to process the incoming request. The error property contains the error details. |
|
Flow |
The flow endpoints configuration. |
|
Flow |
The endpoints configuration. |
|
Integration |
The encryption configuration for the integration service environment. |
|
Integration |
The encryption key details for the integration service environment. |
|
Integration |
The integration service environment. |
|
Integration |
The integration service environment access endpoint. |
|
Integration |
The integration service environment access endpoint type. |
|
Integration |
The integration service environment properties. |
|
Integration |
The integration service environment sku. |
|
Integration |
The integration service environment sku name. |
|
Ip |
The ip address. |
|
Managed |
Managed service identity properties. |
|
Managed |
Type of managed service identity. The type 'SystemAssigned' includes an implicitly created identity. The type 'None' will remove any identities from the resource. |
|
Network |
The network configuration. |
|
Resource |
The resource reference. |
|
user |
User Assigned identity properties. |
|
Workflow |
The workflow provisioning state. |
|
Workflow |
The workflow state. |
ErrorProperties
Error properties indicate why the Logic service was not able to process the incoming request. The reason is provided in the error message.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error message indicating why the operation failed. |
ErrorResponse
Error response indicates Logic service is not able to process the incoming request. The error property contains the error details.
| Name | Type | Description |
|---|---|---|
| error |
The error properties. |
FlowEndpoints
The flow endpoints configuration.
| Name | Type | Description |
|---|---|---|
| accessEndpointIpAddresses |
The access endpoint ip address. |
|
| outgoingIpAddresses |
The outgoing ip address. |
FlowEndpointsConfiguration
The endpoints configuration.
| Name | Type | Description |
|---|---|---|
| connector |
The connector endpoints. |
|
| workflow |
The workflow endpoints. |
IntegrationServiceEnvironmenEncryptionConfiguration
The encryption configuration for the integration service environment.
| Name | Type | Description |
|---|---|---|
| encryptionKeyReference |
The encryption key reference. |
IntegrationServiceEnvironmenEncryptionKeyReference
The encryption key details for the integration service environment.
| Name | Type | Description |
|---|---|---|
| keyName |
string |
Gets the key name in the Key Vault. |
| keyVault |
The key vault reference. |
|
| keyVersion |
string |
Gets the version of the key specified in the keyName property. |
IntegrationServiceEnvironment
The integration service environment.
| Name | Type | Description |
|---|---|---|
| id |
string |
The resource id. |
| identity |
Managed service identity properties. |
|
| location |
string |
The resource location. |
| name |
string |
Gets the resource name. |
| properties |
The integration service environment properties. |
|
| sku |
The sku. |
|
| tags |
object |
The resource tags. |
| type |
string |
Gets the resource type. |
IntegrationServiceEnvironmentAccessEndpoint
The integration service environment access endpoint.
| Name | Type | Description |
|---|---|---|
| type |
The access endpoint type. |
IntegrationServiceEnvironmentAccessEndpointType
The integration service environment access endpoint type.
| Value | Description |
|---|---|
| NotSpecified | |
| External | |
| Internal |
IntegrationServiceEnvironmentProperties
The integration service environment properties.
| Name | Type | Description |
|---|---|---|
| encryptionConfiguration |
The encryption configuration. |
|
| endpointsConfiguration |
The endpoints configuration. |
|
| integrationServiceEnvironmentId |
string |
Gets the tracking id. |
| networkConfiguration |
The network configuration. |
|
| provisioningState |
The provisioning state. |
|
| state |
The integration service environment state. |
IntegrationServiceEnvironmentSku
The integration service environment sku.
| Name | Type | Description |
|---|---|---|
| capacity |
integer (int32) |
The sku capacity. |
| name |
The sku name. |
IntegrationServiceEnvironmentSkuName
The integration service environment sku name.
| Value | Description |
|---|---|
| NotSpecified | |
| Premium | |
| Developer |
IpAddress
The ip address.
| Name | Type | Description |
|---|---|---|
| address |
string |
The address. |
ManagedServiceIdentity
Managed service identity properties.
| Name | Type | Description |
|---|---|---|
| principalId |
string (uuid) |
Principal Id of managed service identity. |
| tenantId |
string (uuid) |
Tenant of managed service identity. |
| type |
Type of managed service identity. The type 'SystemAssigned' includes an implicitly created identity. The type 'None' will remove any identities from the resource. |
|
| userAssignedIdentities |
<string,
user |
The list of user assigned identities associated with the resource. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName} |
ManagedServiceIdentityType
Type of managed service identity. The type 'SystemAssigned' includes an implicitly created identity. The type 'None' will remove any identities from the resource.
| Value | Description |
|---|---|
| SystemAssigned | |
| UserAssigned | |
| None |
NetworkConfiguration
The network configuration.
| Name | Type | Description |
|---|---|---|
| accessEndpoint |
The access endpoint. |
|
| subnets |
The subnets. |
|
| virtualNetworkAddressSpace |
string |
Gets the virtual network address space. |
ResourceReference
The resource reference.
| Name | Type | Description |
|---|---|---|
| id |
string |
The resource id. |
| name |
string |
Gets the resource name. |
| type |
string |
Gets the resource type. |
userAssignedIdentity
User Assigned identity properties.
| Name | Type | Description |
|---|---|---|
| clientId |
string |
Client Id of user assigned identity |
| principalId |
string |
Principal Id of user assigned identity |
WorkflowProvisioningState
The workflow provisioning state.
| Value | Description |
|---|---|
| NotSpecified | |
| Accepted | |
| Running | |
| Ready | |
| Creating | |
| Created | |
| Deleting | |
| Deleted | |
| Canceled | |
| Failed | |
| Succeeded | |
| Moving | |
| Updating | |
| Registering | |
| Registered | |
| Unregistering | |
| Unregistered | |
| Completed | |
| Renewing | |
| Pending | |
| Waiting | |
| InProgress |
WorkflowState
The workflow state.
| Value | Description |
|---|---|
| NotSpecified | |
| Completed | |
| Enabled | |
| Disabled | |
| Deleted | |
| Suspended |